Module java.desktop
Package javax.swing

## Class JTree.TreeModelHandler

- java.lang.Object
- - javax.swing.JTree.TreeModelHandler

- All Implemented Interfaces:
    `EventListener`, `TreeModelListener`
  Enclosing class:
    JTree

      protected class JTree.TreeModelHandler
      extends Object
      implements TreeModelListener

  Listens to the model and updates the `expandedState` accordingly when nodes are removed, or changed.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TreeModelHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.TreeModelListener

      `treeNodesChanged, treeNodesInserted, treeNodesRemoved, treeStructureChanged`

- - ### Constructor Detail

    - #### TreeModelHandler

          protected TreeModelHandler()